BEGIN;

DELETE FROM Gechartert;
DELETE FROM Teiltour;
DELETE FROM Tour;
DELETE FROM Segelschiff;
DELETE FROM Hafen;
DELETE FROM Fjord;
DELETE FROM Tankstelle;
DELETE FROM Ankerplatz;
DELETE FROM CrewKoch;
DELETE FROM CrewErsthelfer;
DELETE FROM CrewMitglieder;
DELETE FROM Crew;
DELETE FROM Skipper;
DELETE FROM Ersthelfer;
DELETE FROM Koch;
DELETE FROM Segler;
SELECT setval('seq_segler',1,false);
SELECT setval('seq_tour',1000,false);

COMMIT;

INSERT INTO Segler(name,gebdatum,notfallkontakt) VALUES
	('Max Mustermann', '1976-10-12', '0123/4567890' ),    --1
	('Peter Gruber', '1965-09-20', '0233/8934231'),       --2
	('Ines Bach', '1973-10-07', '0466/8273648'),          --3
	('Martin Huber', '1982-11-12', '0767/8273914'),       --4
	('Petra Grasich', '1943-12-03', '0560/123942'),       --5
	('Verena Schubasich', '1979-12-30', '0861/82391872'), --6
	('Hubert Mueller', '1980-03-14', '0466/1283412'),     --7
	('Erika Gustaffson', '1967-02-28', '0123/2381494'),   --8
	('Santiago','1982-07-21','0238/839241'),              --9
	('Hans-Peter Steinacher','1968-09-09','0239/1234123'),--10
	('Roman Hagara','1966-04-30','0237/8934923'),         --11
	('Lara Vadlau','1994-03-29','0238/2312445'),          --12
	('Jolanta Ogar','1982-04-28','0745/4729482');         --13
	

INSERT INTO Koch VALUES (1,1),(2,2),(3,1),(4,3);

INSERT INTO Ersthelfer VALUES 
    (2,'Bordchirurg'),
    (5,'Maennerschupfenheilerin'),
    (7,'TCM'),
    (8,'alles');
    
BEGIN;

INSERT INTO Skipper VALUES
    (10,'A',93182,1000),
    (11,'C',12342,1010),
    (12,'A',23841,1020),
    (13,'B',28311,1020);
    
INSERT INTO Tour(bez,dauer,geplantvon) VALUES
    ('Norwegen',10,11),
    ('Skandinavien',20,11),
    ('Brasilien',20,12),
    ('Schweden',10,11),
    ('Nordkap',5,12);

COMMIT;

--CreateCrew Skipper 10 mit 2 Ersthelfern, 2 Köchen und 5 Mitgliedern
SELECT CreateCrew(10,'Sydney',2,2,5);
--CreateCrew Skipper 10 mit 2 Ersthelfern, 1 Koch und 4 Mitgliedern
SELECT CreateCrew(10,'Athen',2,1,4);
--CreateCrew Skipper 10 mit 2 Ersthelfern, 2 Köchen und 5 Mitgliedern
SELECT CreateCrew(12,'Rio',3,4,2);

INSERT INTO Ankerplatz VALUES
   ('BRG','60N, 5O','Bergen'),
   ('RNF','60N, 5O','Raunefjord'),
   ('LKS','60N, 5O','Lokksund'),
   ('USK','60N, 5O','Uskedal'),
   ('MRF','60N, 5O','Mauranger Fjord'),
   ('BJV','60N, 5O','Bekkjarvik'),
   ('HLG','60N, 5O','Helgoland'),
   ('HAM','60N, 5O','Hamburg'),
   ('TRO','60N, 5O','Tromsö'),
   ('LOF','60N, 5O','Lofoten'),
   ('ADR','22S, 43W','Angra dos Reis'),
   ('PAR','22S, 43W','Parati'),
   ('PRV','22S, 43W','Praia Vermelha'),
   ('SFT','22S, 43W','Sitio Forte'),
   ('LGA','22S, 43W','Lagoa Azul'),
   ('LPM','22S, 43W','Lopes Mendes');
   
INSERT INTO Tankstelle VALUES
   ('BRG',true),
   ('MRF',true),
   ('HLG',true),
   ('HAM',false),
   ('ADR',false),
   ('SFT',true);
   
INSERT INTO Fjord VALUES
   ('RNF',false,'Raunefjord'),
   ('MRF',true,'Mauranger Fjord'),
   ('LOF',true,'Lofoten');
   
INSERT INTO Hafen VALUES
   ('BRG',20,true,true),
   ('HLG',10,false,true),
   ('HAM',50,true,true),
   ('TRO',40,true,true),
   ('ADR',30,true,true),
   ('SFT',20,false,false);
   
INSERT INTO Segelschiff(hafen,name,baujahr,kojen,kapazitaet) VALUES
   ('BRG','Speedboat',2005,4,6),
   ('ADR','Ligeiro',1998,6,12),
   ('HAM','Flotte Lotte',1985,5,10);
   
   
INSERT INTO Teiltour VALUES (1000,1010);
INSERT INTO Teiltour VALUES (1030,1010);


INSERT INTO TourAnkerplatz VALUES
   (1000,'BRG',1),
   (1000,'LKS',2),
   (1000,'USK',3),
   (1000,'MRF',4),
   (1000,'BJV',5),
   (1000,'BRG',6),
   (1010,'LOF',1),
   (1010,'TRO',2),
   (1010,'HLG',3),
   (1010,'HAM',4),
   (1020,'ADR',1),
   (1020,'PAR',2),
   (1020,'PRV',3),
   (1020,'SFT',4),
   (1020,'LGA',5),
   (1020,'LPM',6),
   (1020,'ADR',7);

INSERT INTO Gechartert VALUES (12,1,'ADR',1,1020,'2017-11-28');
INSERT INTO Gechartert VALUES (12,1,'ADR',1,1020,'2018-01-20');
INSERT INTO Gechartert VALUES (10,2,'HAM',1,1000,'2017-12-10');

